testweb cu Nam/testWEb/testWEb/Controllers/Admin/HomeAdminController.cs
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using testWEb.Models;
using testWEb.Models.Admin;

namespace testWEb.Controllers.Admin
{
   
    [Authorize(Roles = "Admin")]
    public class HomeAdminController : Controller
    {
        QLBHEntities db = new QLBHEntities();

        // GET: HomeAdmin
        
        public ActionResult Index()
        {
            var userCookie = GetUserCookie();
            if (userCookie != null)
            {
                ViewBag.User = userCookie;
            }
            return View();
        }

        private object GetUserCookie()
        {
            string cookieName = FormsAuthentication.FormsCookieName; //Find cookie name
            HttpCookie authCookie = HttpContext.Request.Cookies[cookieName]; //Get the cookie by it's name

            if (authCookie != null)
            {
                FormsAuthenticationTicket ticket = FormsAuthentication.Decrypt(authCookie.Value); //Decrypt it
                var UserName = ticket.Name; //You have the UserName!
                if (UserName != null)
                {
                    return UserName;
                }

            }

            return null;
        }

        [HttpGet]
        public ActionResult PageGioiThieu()
        {
            return View();
        }
        [HttpPost]
        [ValidateInput(false)]
        public ActionResult PageGioiThieu(FormCollection collection, ImagePost img, GioiThieu gt)
        {
            
            string sNoiDung = collection["NoiDung"];
            string sTieuDe = collection["TieuDe"];

            gt.TieuDe = sTieuDe;
            gt.NoiDung = sNoiDung;
           

            string fileName = Path.GetFileNameWithoutExtension(img.Thumbnail.FileName);
            string extention = Path.GetExtension(img.Thumbnail.FileName);
            fileName = fileName + DateTime.Now.ToString("yymmssfff") + extention;
            img.ImagePath = "~/Images/" + fileName;
            fileName = Path.Combine(Server.MapPath("~/Images/"), fileName);
            img.Thumbnail.SaveAs(fileName);
            if (fileName != null)
            {
                gt.HinhAnh = img.ImagePath;
            }

            db.GioiThieux.Add(gt);
            db.SaveChanges();
            return View(collection);


        }
    }
}

testweb cu Nam/testWEb/testWEb/Views/HomeAdmin/Index.cshtml
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Admin/Layout/_LayoutAdmin.cshtml";
}

testweb cu Nam/testWEb/testWEb/Views/HomeAdmin/Menu.cshtml
@*<li class="treeview">
    <a href="#"><i class="fa fa-laptop"></i> Sản Phẩm</a>
    <ul class="treeview-menu">
        <li>
            <a href="pages/UI/general.html">
                @Html.ActionLink("Danh Sách Sản Phẩm", "DanhSachSanPhamAdmin", "AdminSP")
            </a>
        </li>
        <li>
            <a href="pages/UI/general.html">
                @Html.ActionLink("Thêm Sản Phẩm", "ThemSanPham", "AdminSP")
            </a>
        </li>

    </ul>
</li>*@

testweb cu Nam/testWEb/testWEb/Views/HomeAdmin/PageGioiThieu.cshtml
@{
    ViewBag.Title = "PageGioiThieu";
    Layout = "~/Views/Admin/Layout/_LayoutAdmin.cshtml";
}


@using (Html.BeginForm("PageGioiThieu", "HomeAdmin", FormMethod.Post, new { enctype = "multipart/form-data" }))
{

    <script src="~/CKFinder/ckfinder/ckfinder.js"></script>
    <script src="~/Ckeditor/ckeditor/ckeditor.js"></script>
    @*<script src="https://cdn.ckeditor.com/4.9.1/standard/ckeditor.js"></script>*@
    <section class="content box-header">

        <div class="row">

            <div class="col-md-6">
                <div class="box box-info box-header">
                    <div class="box-header with-border">
                        <h3 class="box-title">Giới thiệu</h3>
                    </div>

                    <tr>
                        <td class="selected">
                            <label>Tiêu Đề</label>
                            <input type="text" required name="TieuDe" class="form-control">
                        </td>
                        <td class="selected">
                            <label>Nội dung</label>
                            <textarea id="ckeContent" name="NoiDung"></textarea>

                        </td>

                        <td class="selected">
                            <label>Hình</label>
                            <input type="file" name="Thumbnail" id="Anh" value="Upload" accept=".jpg,.png,.jpeg,.gif" required>
                        </td>

                        <td class="btn CreatSP">
                            <input type="submit" name="insert" value="Tạo bài viết" class="btn btn-primary">
                        </td>
                        <td class="btn Cancel" onclick="return confirm('Bạn có chắc muốn hủy sản phẩm');">
                                @Html.ActionLink("Hủy", "PageGioiThieu", "HomeAdmin", null, new { @class = "btn btn-success" })
                            </td>

                    </tr>


                </div>
            </div>
        </div>
    </section>


    <script>
        // Replace the <textarea id="editor1"> with a CKEditor
        // instance, using default configuration.
        CKEDITOR.replace('ckeContent');
        CKFinder.setupCKEditor(null, '/ckfinder');
    </script>



}